#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# License: GNU General Public License v2
#
# Author: thl-cmk[at]outlook[dot]com
# URL   : https://thl-cmk.hopto.org
# Date  : 2021-11-27
#
# inventory view for Noel epower switch
#
# 2023-04-22: moved to ~/local/lib/check_mk/gui/plugins/views
#

from cmk.gui.plugins.views.utils import (
    inventory_displayhints,
)
from cmk.gui.i18n import _
from cmk.gui.plugins.views.inventory import declare_invtable_view

inventory_displayhints.update({
    '.hardware.devices:': {'title': _('Devices'),
                           'keyorder': ['id', 'name', 'type', 'version', 'detected', 'activated', ],
                           'view': 'invdevices_of_host',
                           },
    '.hardware.devices:*.id': {'title': _('ID'), },
    '.hardware.devices:*.name': {'title': _('Name')},
    '.hardware.devices:*.type': {'title': _('Type'), },
    '.hardware.devices:*.version': {'title': _('Version')},
    '.hardware.devices:*.detected': {'title': _('Detected'), },
    '.hardware.devices:*.activated': {'title': _('Activated'), },
})

declare_invtable_view('invdevices', '.hardware.devices:', _('Devices'), _('Devices'))
